<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kiisoo.ic.store.mapper.PrivilageCpUserStoreDOMapper">

    <select id="selectCpUserByShops" resultType="com.kiisoo.ic.store.entity.StoreUserDTO">
        select distinct pcu.cp_user_id as cpUserId,pcu.qr_code as qrCodeAction,pcus.store_id as id,pcu.id as userId
        from privilage_cp_user_store pcus ,privilage_cp_user pcu where pcus.cp_user_id = pcu.id and  pcu.status in (1,4)
        <choose>
            <when test="shopIds != null and shopIds.size > 0">
                and  pcus.store_id in
                <foreach collection="shopIds"  index="index" item="item" open="(" separator="," close=")">
                    #{item}
                </foreach>
            </when>
            <otherwise>
                1 = 0
            </otherwise>
        </choose>
        order by pcu.id desc
    </select>

    <select id="selectOneByCpUserId" resultType="java.lang.Long">
        select pcus.store_id
        from privilage_cp_user_store pcus ,privilage_cp_user pcu where pcus.cp_user_id = pcu.id and  pcu.status in (1,4)
        and pcu.cp_user_id = #{cpuserId}
        limit 1
    </select>

    <select id="selectCpUserIdByStoreId" resultType="java.lang.String">
        select pcu.cp_user_id
        from privilage_cp_user_store pcus ,privilage_cp_user pcu
        where pcus.cp_user_id = pcu.id and  pcu.status in (1,4)
        and pcus.store_id = #{storeId}
        limit 1
    </select>

</mapper>
